#
# spec file for package diskscan
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           diskscan
Version:        0.21
Release:        1.3
Summary:        Scan disk for bad or near failure sectors
License:        GPL-3.0-or-later
URL:            https://github.com/baruch/diskscan
Source0:        https://github.com/baruch/diskscan/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake >= 3.0.2
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  python3-Markdown
BuildRequires:  python3-PyYAML
BuildRequires:  python3-beautifulsoup4
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(zlib)

%description
DiskScan is a Unix/Linux tool to scan a block device and check
if there are unreadable sectors, in addition it uses read
latency times as an assessment for a near failure as sectors
that are problematic to read usually entail many retries. This
can be used to assess the state of the disk and maybe decide
on a replacement in advance to its imminent failure. The disk
self test may or may not pick up on such clues depending on
the disk vendor decision making logic.

%prep
%autosetup

%build
%cmake
%make_jobs

%install
%cmake_install

%files
%license COPYING
%doc README*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Mon Mar 18 2024 Martin Pluskal <mpluskal@suse.com>
- Update to version 0.21:
  * Fix Gitter badge URL by @jwilk in #69
  * Remove spurious backslash from manpage by @jwilk in #68
  * Fix JSON output validity
  * Add supported devices info to README
* Sun Apr 18 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Fixed SPEC file: Replaced broken URL with current upstream
* Wed Mar  7 2018 mpluskal@suse.com
- Update dependencies
- Modernize spec file using spec-cleaner
* Mon Aug 28 2017 mpluskal@suse.com
- Update to version 0.20:
  * Misc internal changes
  * Update libscsicmd
* Sat Oct 15 2016 mpluskal@suse.com
- Adjust to latest cmake macros
* Thu Aug 18 2016 mpluskal@suse.com
- Small spec file cleanup
* Thu Nov 26 2015 mpluskal@suse.com
- Update to 0.19
  * When a partition is write mounted do not attempt to fix it as
    it will mess the filesystem.
  * Also fix building on Debian/kFreeBSD.
* Fri Nov 13 2015 mpluskal@suse.com
- Update to 0.18
  * Switched to CMake as the build system, it is more common than
  ninja-build and so more useful for those who build by hand
  (sysadmins).
  * Fix build issues on FreeBSD.
  * Fix disk on 4k granularity to avoid overwriting areas that are
  usable, this is useful on media errors.
* Sun May 10 2015 mpluskal@suse.com
- Update to 0.15
  * no upstream changelog provided
* Sun Dec  8 2013 dap.darkness@gmail.com
- Initial build.
